%global srcname regex

Name:           python-%{srcname}
Version:        2016.09.22
Release:        %mkrel 1
Summary:        Alternative regular expression module, to replace re
Group:		Development/Python
# see also https://code.google.com/p/mrab-regex-hg/issues/detail?id=124
License:        Python and CNRI
URL:            https://code.google.com/p/mrab-regex-hg
Source0:        https://pypi.python.org/packages/source/r/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRequires:  %{_lib}python-devel
# for /usr/bin/rst2html
BuildRequires:  python-docutils
BuildRequires:  %{_lib}python3-devel


%description
This new regex implementation is intended eventually to replace
Python's current re module implementation.

For testing and comparison with the current 're' module the new
implementation is in the form of a module called 'regex'.


%package -n python3-%{srcname}
Summary:        Alternative regular expression module, to replace re
Group:          Development/Python

%description -n python3-%{srcname}
This new regex implementation is intended eventually to replace
Python's current re module implementation.

For testing and comparison with the current 're' module the new
implementation is in the form of a module called 'regex'.


%prep
%setup -qc -n %{srcname}-%{version}
mv %{srcname}-%{version} python2

pushd python2

# will be rebuilt
rm docs/Features.html

popd

cp -a python2 python3


%build
pushd python2
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build
# rebuild the HTML doc
rst2html docs/Features.rst > docs/Features.html
popd

pushd python3
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
# rebuild the HTML doc
rst2html docs/Features.rst > docs/Features.html
popd


%install
pushd python2
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd

pushd python3
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd


%files
%doc python2/README
%doc python2/docs/Features.html
%doc python2/docs/UnicodeProperties.txt
%{python2_sitearch}/*


%files -n python3-%{srcname}
%doc python3/README
%doc python3/docs/Features.html
%doc python3/docs/UnicodeProperties.txt
%{python3_sitearch}/*

%changelog
* Fri Mar 02 2018 adrianomorselli <adrianomorselli> 2016.09.22-1uplos2018
- imported package python-regex
